""" initialize face2 addon """
import bpy

# Import From Files
if "bpy" in locals():
    import importlib
    from . import face2face_modal
    from . import addon_activation_operator
    from . import reactivate_projection_operator
    from . import delete_projection_operator
    from . import copy_projection_operator
    from . import ui
    from . import config
    importlib.reload(face2face_modal)
    importlib.reload(addon_activation_operator)
    importlib.reload(reactivate_projection_operator)
    importlib.reload(delete_projection_operator)
    importlib.reload(copy_projection_operator)
    importlib.reload(ui)
    importlib.reload(config)
else:
    from . import face2face_modal
    from . import addon_activation_operator
    from . import reactivate_projection_operator
    from . import delete_projection_operator
    from . import copy_projection_operator
    from . import ui
    from . import config


def register():
    """ register addon and config """
    face2face_modal.register()
    addon_activation_operator.register()
    reactivate_projection_operator.register()
    delete_projection_operator.register()
    copy_projection_operator.register()
    ui.register()
    config.register()


def unregister():
    """ unregister addon and config """
    face2face_modal.unregister()
    addon_activation_operator.unregister()
    reactivate_projection_operator.unregister()
    delete_projection_operator.unregister()
    copy_projection_operator.unregister()
    ui.unregister()
    config.unregister()
