""" helper methods for projection handling """
import bpy


# Import From Files
if "bpy" in locals():
    import importlib
    from . import helpers
    importlib.reload(helpers)
else:
    from . import helpers


def is_target_object(obj, projection_name):
    # count = 0
    for projection in obj.projections:
        if projection.projection_name == projection_name:
            return True  # obj.projections.remove(count)
        # count += 1
    return False


def get_target_object_by_projection_name(context, projection_name, except_obj=None):
    """ because of copy there could tempoary exists two target object for same,
          before beeing renamed exclude the new one to get the old """
    for obj in context.scene.objects:
        if not except_obj is None and obj == except_obj:
            continue
        if is_target_object(obj, projection_name):
            return obj
    return None


def get_objects_by_projection_name(context, projection_name, with_subs=True, with_children=True):
    objects = []
    for obj in context.scene.objects:
        if is_target_object(obj, projection_name):
            pass
        else:
            if obj.belongs_to == projection_name:
                #print("obj by name:", obj.name)
                objects.append(obj)
                if with_children:
                    objects += helpers.get_all_children(obj)
                if with_subs:
                    for projection in obj.projections:

                        objects += get_objects_by_projection_name(
                            context, projection.projection_name, with_subs)
    return objects
